EDIT - bug #7576

Set Publish Flag for Subtree Dialog - Problems with Progressmonitor
07/23/2018 10:30 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal Found in Version:

Description
Setzen des Publish-Flags auf der kompletten Cichorienklassifikation:

Die Prozentanzeige bleibt bei 54.95% stehen obwohl der Prozess im Server weiterlauft:

File Edit View Bookmarks Settings Help

[cichorieae] 2018-06-18 11:01:58,547 INFO Thread-319 [eu.etaxonomy.

nitor] - 80.529
[cichorieae] 2018-06-18 11
nitor] - 80.533 done (Com
[cichorieae] 2018-06-18 11:(
nitor] - 80.53757% done (Co
[cichorieae] 2018-0
nitor] - 80.54164% do
[cichorieae] 2018-06-
nitor] - 80.54571% do
[cichorieae] 2018-
nitor] - 80.54979% do
[cichorieae] 2018-06-
nitor] - 80.55386% do
[cichorieae] 2018-06-
nitor] - 80.55793% do
[cichorieae] 20 )
nitor] - 80.562%
[cichorieae] 2018-06-
nitor] - 80.56608% do
[eichorieae] 2018-
nitor] - 80.57015
[cichorieae] 2018-06-
nitor] - 80.574 do
[cichorieae] 2018-06-
nitor] - 80.5782 do
[eichorieae] 2018-
nitor] - 80.58237% done
[cichorieae] 2018-06-18
nitor] - 80.58644% done
[cichorieae] 2018-06-18
nitor] - 80.59051% done
[cichorieae] 2018-06-18
nitor] - 80.59458% done
[cichorieae] 2018-06-18
nitor] - 80.59866% done
[cichorieae] 2018-06-18
nitor] - 80.602

[
[cichorieae] 2018-06-18 11:04:09,750 INFO Thread-319 [eu.etaxonomy. . .monitor.DefaultProgressMo
nitor] - 85.00916% done (Completed Task: Update Synonyms)
[cichorieae] 2018-06-18 :04:09,750 INFO Thread-319 [eu.etaxonomy.cdm. - ' .DefaultProgressMo
nitor] - 85.0132 done (Co p]Pth Task: Update Synonyms)
[cichorieae] 2018-06-18 :04:09,750 INFO Thread-319 [eu.etaxonomy. . .monitor.DefaultProgressMo
nitor] - 85.0173 done ( Le <: Update Synonyms)
[cichorieae] 2018-06-18 :04:09,750 INFO Thread-319 [eu xonomy . cdm. . i .DefaultProgressMo
nitor] - 85.02138% do
[cichorieae] 2018-06-
nitor] - 85.025 do
[cichorieae] 2018-06-
nitor] - 85.029
[cichorieae] 20
nitor] - 85.03
[cichorieae] 2018-06-
nitor] - 85.03767% do
[cichorieae] 2018-06-
MR T - LA ISR ZET  Update Synonyms
[cichorieae] 2018-06-
nitor] - 85.045 do
_|1thanPaP] 2018-06-
vitor] - 85.04989% do Always run in background
[cichorieae] 2018-06-
nitor] - 85.05396% do
[cichorieae] 2018-06- Cancel Details >> Run in Background

] - 85.058 do
[cichorieae] 2018-06-
nitor] - 85.06211% done (C |
[cichorieae] 2018-06-18 1: 7, NFO [eu.etaxonomy.cdm. 3 ' .DefaultProgressMo
nitor] - 85.06618% done (Completed Task: Update Synonyms)
[ 'LhnrlpaP] 2018-06-18 11:04:09,750 INFO Thread-319 [eu.etaxonomy. . .monitor.DefaultProgressMo

- 85.070 done (Completed Task: Update Synonyms)

[ 11:04:09,750 INFO Thread-319 [eu.etaxonomy.cdm. . 1 .DefaultProgressMo
”1tor] - 85.0743 done (Completed Task: Update Synonyms)
[cichorieae] 2018-06-18 11:04:09,750 INFO Thread-319 [eu.etaxonomy. . .monitor.DefaultProgressMo
nitor] - 85.0784% done (Completed Task: Update Synonyms)
[cichorieae] 2018-06-18 11:04:09,750 INFO Thread-319 [eu.etaxonomy.cdm. . i .DefaultProgressMo
nitor] - 85.08247% done (Completed Task: Update Synonyms)

nochmal spéter
[cichorieae] 2018-06-18 11:08:58,780 INFO Thread-319 [eu.etaxonomy. - .monitor.DefaultProgressMo
nitor] - 95.19039% done (Completed Task: Update Synonyms)

[cichorieae] 2018-06-18 11:08:58,780 INFO Thread-319 [eu.etaxonomy. - .monitor.DefaultProgressMo
nitor] - 95.1944 done (Completed Task: Update Synonyms)

[cichorieae] 2018-06-18 11:08:58,780 INFO Thread-319 [eu.etaxonomy.cdm. .monitor.DefaultProgressMo
nitor] - 95.19853% (Completed Task: Update Synonyms)

[cichorieae] 2018 8 11:08:58,780 INFO Thread-319 [eu.etaxonomy.cdm. .monitor.DefaultProgressMo
nitor] - 95.20: y ED » .

[cichorieae] 20 0 =l Set Publish Flag for Subtree: VoA
nitor] - 95.20

[F““‘J”Eé‘f], - Set Publish Flag for Subtree: 54.95% done

nitor] - 95.210

[cichorieae] 20 n

nitor] - 95.2148

[cichorieae] 2018-06-
nitor] - 95.218
[cichorieae]

nitor] - 95. % Update Synonyms
[cichorieae] 20

nitor] - 95.2270

[cichorieae] 2018-
nitor] - 95.23111% Always run in background
[cichorieae] 2018-

nitor] - 95.23519%
[cichorieae] 2018- Details >> Run in Background
nitor] - 95.2392
[cichorieae] 2018-
nitor] - 95.243 = ) U e S ms )
[cichorieae] 2018- 1t 80 [eu.etaxonomy. .monitor.DefaultProgressMo
or] - 95.247 done (Completed Task: Update Synonyms)
chorieae] 2018-06-18 11:08:58,780 INFO Thread-319 [eu.etaxonomy. . .monitor.DefaultProgressMo
or] - 95.25148% (Completed Task: Update Synonyms )
[cichorieae] 2018-06-18 11:08:58,780 INFO Thread-319 [eu.etaxonomy. . .monitor.DefaultProgressMo
11 done (Completed Task: Update Synonyms)
2018-06-18 11:08:58,780 INFO Thread-319 [eu.etaxonomy.cdm. .monitor.DefaultProgressMo
s done (Completed Task: Update Synonyms)
[ ¢ 11:08:58,780 INFO Thread-319 [eu.etaxonomy. . .monitor.DefaultProgressMo
nitor] - 95.26369% done (Completed Task: Update Synonyms)

[
[cichorieae] 2018-0 11:11:28,384 INFO Thread-319 [eu.etaxonomy. . . i .DefaultProgressMo
nitor] - 99.9307 e (Completed Task: Update Synonyms)

[cichorieae] 2018- 11:11:28,384 INFO Thread-319 [eu.etaxonomy. . . i .DefaultProgressMo
nitor] - 99.9348 (Completed Task: Update Synonyms)

[cichorieae] 2018-0 11:11:28,384 INFO Thread-319 [eu.etaxonomy.cdm. . i .DefaultProgressMo
nitor] - 99.9389 0 (Completed Task: Update Synonyms)

[cichorieae] 2018- 8 11:11:28,384 INFO Thread-319 [eu.etaxonomy.cdm. - 1 .DefaultProgressMo
nitor] - 99.9429
[cichorieae] 2018-
nitor] - 99.9470
[cichorieae] 2018-06-

Set Publish Flag for Subtree: e

[cichorieae] 20
nitor] - 99.959
[cichorieae] 2018-G
nitor] - 99.96335% Update Synonyms

[cichorieae] 2018-0

nitor] - 99.9674

[cichorieae] 20

nitor] .9714 Always run in background

[cichorieae] 2018-

nitor] - 99.9755

[cichorieae] 20 Cancel Details == Run in Background

[cichorieae] 2018-

nitor] - 99.9837 e ( T U yms )

[cichorieae] 2018- 18 11:11:28,384 INFO Threa 9 [eu.etaxonomy. . . i .DefaultProgressMo
nitor] - 99.9877 (Completed Task: Update Synonyms)

[cichorieae] 2018-0 11:11:28,384 INFO Thread-319 [eu.etaxonomy. . . .DefaultProgressMo
nitor] - 99.9918 (Completed Task: Update Synonyms)

[cichorieae] 20 11:11:28,384 INFO Thread-319 [eu.etaxonomy. . . i .DefaultProgressMo
nitor] - 99.9959 (Completed Task: Update Synonyms)

[cichorieae] 20 6-18 11:11:28,384 INFO Thread-319 [eu.etaxonomy. . . .DefaultProgressMo
nitor] - 100.0% done (Completed Task: Update Synonyms)

[cichorieae] 2018-06-18 11:11:28,391 INFO Thread-319 [eu.etaxonomy. . . i .DefaultProgressMo
nitor] - Update publish flag... Done

[]

Der Prozess ist fertig aber der Dialog hat's nicht mitbekommen.

Und nun hangt der Server:
es gibt einen blockierten Thread der mit dem Setzen des Publishflags zu tun hat:

Thread 2829: (state = BLOCKED)

- java.util.HashMap.keySet () @bci=9, 1ine=907 (Compiled frame)

- Jjava.util.HashSet.iterator () @bci=4, line=172 (Compiled frame)

— com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.close () @bci=22, 1line=1688 (Compiled frame)

— org.hibernate.resource. jdbc.internal.ResourceRegistryStandardImpl.close(java.sqgl.Statement) @bci
=74, line=169 (Compiled frame)

- org.hibernate.resource. jdbc.internal.ResourceRegistryStandardImpl.release(java.sqgl.Statement) @b
ci=81, line=82 (Compiled frame)

- org.hibernate.loader.plan.exec.internal.AbstractLoadPlanBasedLoader.executeload (org.hibernate.en
gine.spi.SessionImplementor, org.hibernate.engine.spi.QueryParameters, org.hibernate.loader.plan.e
xec.spi.LoadQuer

yDetails, boolean, org.hibernate.transform.ResultTransformer, java.util.List) @bci=243, line=144 (
Compiled frame)

— org.hibernate.loader.plan.exec.internal.AbstractLoadPlanBasedLoader.executeload (org.hibernate.en
gine.spi.SessionImplementor, org.hibernate.engine.spi.QueryParameters, org.hibernate.loader.plan.e
xec.spi.LoadQuer

yDetails, boolean, org.hibernate.transform.ResultTransformer) @bci=19, line=86 (Compiled frame)

- org.hibernate.loader.collection.plan.AbstractLoadPlanBasedCollectionInitializer.initialize (java.
io.Serializable, org.hibernate.engine.spi.SessionImplementor) @bci=103, 1line=88 (Compiled frame)

— org.hibernate.persister.collection.AbstractCollectionPersister.initialize(java.io.Serializable,
org.hibernate.engine.spi.SessionImplementor) @bci=8, 1line=682 (Compiled frame)

— org.hibernate.event.internal.DefaultInitializeCollectionEventListener.onInitializeCollection (org
.hibernate.event.spi.InitializeCollectionEvent) @bci=165, line=75 (Compiled frame)

- org.hibernate.internal.SessionImpl.initializeCollection (org.hibernate.collection.spi.PersistentC
ollection, boolean) @bci=57, 1line=1991 (Compiled frame)

— org.hibernate.collection.internal.AbstractPersistentCollection$4.doWork () @bci=15, 1line=550 (Com

piled frame)

— org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded (org.

hibernate.collection.internal.AbstractPersistentCollection$LazyInitializationWork) @bci=209, line=
248 (Compiled fr

ame)

- org.hibernate.collection.internal.AbstractPersistentCollection.initialize (boolean) @bci=18, line

=546 (Compiled frame)

- org.hibernate.collection.internal.AbstractPersistentCollection.read() @bci=2, 1line=133 (Compiled
frame)

— org.hibernate.collection.internal.PersistentSet.iterator () @bci=1, line=163 (Compiled frame)

— org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.buildDocumentFieldsForEmbeddedObjec

ts (org.apache.lucene.document .Document, org.hibernate.search.engine.impl.FacetHandling, org.hibern
ate.search.engin

e.metadata.impl.TypeMetadata, java.util.Map, java.util.Set, org.hibernate.search.bridge.spi.Conver
sionContext, org.hibernate.search.spi.InstanceInitializer, float, java.lang.Object, boolean) @bci=
229, line=484 (Co

mpiled frame)

- org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.buildDocumentFields (java.lang.0Objec

t, org.apache.lucene.document.Document, org.hibernate.search.engine.impl.FacetHandling, org.hibern
ate.search.engin

e.metadata.impl.TypeMetadata, java.util.Map, Jjava.util.Set, org.hibernate.search.bridge.spi.Conver
sionContext, org.hibernate.search.spi.InstanceInitializer, float, boolean) @bci=72, line=429 (Comp
iled frame)

- org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.buildDocumentFieldsForEmbeddedObjec

ts (org.apache.lucene.document .Document, org.hibernate.search.engine.impl.FacetHandling, org.hibern
ate.search.engin

e.metadata.impl.TypeMetadata, java.util.Map, Java.util.Set, org.hibernate.search.bridge.spi.Conver
sionContext, org.hibernate.search.spi.Instancelnitializer, float, java.lang.Object, boolean) @Qbci=
375, line=517 (Co

mpiled frame)

— org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.buildDocumentFields (java.lang.Objec

t, org.apache.lucene.document.Document, org.hibernate.search.engine.impl.FacetHandling, org.hibern
ate.search.engin

e.metadata.impl.TypeMetadata, java.util.Map, Java.util.Set, org.hibernate.search.bridge.spi.Conver
sionContext, org.hibernate.search.spi.InstancelInitializer, float, boolean) @bci=72, 1line=429 (Comp
iled frame)

— org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.getDocument (java.lang.String, java.
lang.Object, java.io.Serializable, java.util.Map, org.hibernate.search.spi.InstancelInitializer, or

g.hibernate.sear

ch.bridge.spi.ConversionContext, java.lang.String[]) @bci=281, line=351 (Compiled frame)

- org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.createUpdateWork (java.lang.String,
java.lang.Class, Jjava.lang.Object, Jjava.io.Serializable, java.lang.String, org.hibernate.search.sp
i.InstanceInitia

lizer, org.hibernate.search.bridge.spi.ConversionContext) @bci=21, line=266 (Compiled frame)

— org.hibernate.search.engine.spi.DocumentBuilderIndexedEntity.addWorkToQueue (java.lang.String, Jja

va.lang.Class, java.lang.Object, java.io.Serializable, boolean, boolean, java.util.List, org.hiber

nate.search.brid

ge.spi.ConversionContext) @bci=130, 1line=208 (Compiled frame)

- org.hibernate.search.engine.impl.WorkPlan$PerEntityWork.enqueueLuceneWork (java.lang.String, Jjava
.lang.Class, java.io.Serializable, org.hibernate.search.engine.spi.AbstractDocumentBuilder, java.u

til.List, org.hi

bernate.search.bridge.spi.ConversionContext) @bci=35, line=521 (Compiled frame)

- org.hibernate.search.engine.impl.WorkPlan$PerClassWork.enqueueLuceneWork (java.util.List) Qbci=18
4, line=283 (Interpreted frame)

— org.hibernate.search.engine.impl.WorkPlan.getPlannedLuceneWork () Q@bci=42, line=155 (Interpreted
frame)

- org.hibernate.search.backend.impl.WorkQueue.prepareWorkPlan () @bci=18, line=114 (Interpreted fra

me)

— org.hibernate.search.backend.impl.BatchedQueueingProcessor.prepareWorks (org.hibernate.search.bac

kend.impl.WorkQueue) @bci=1, line=55 (Interpreted frame)

— org.hibernate.search.backend.impl.PostTransactionWorkQueueSynchronization.beforeCompletion () @bc
1=40, line=64 (Interpreted frame)

- org.hibernate.search.backend.impl.EventSourceTransactionContext$DelegateToSynchronizationOnBefor

eTx.doBeforeTransactionCompletion (org.hibernate.engine.spi.SessionImplementor) @bci=4, line=169 (I

nterpreted frame
)
- org.hibernate.engine.spi.ActionQueue$BeforeTransactionCompletionProcessQueue.beforeTransactionCo
mpletion() @bci=28, 1ine=899 (Interpreted frame)

- org.hibernate.engine.spi.ActionQueue.beforeTransactionCompletion() @bci=18, line=481 (Interprete

d frame)

- org.hibernate.internal.SessionImpl.beforeTransactionCompletion () @bci=23, 1ine=2340 (Interpreted
frame)

- org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion () @bci=4, lin

e=485 (Interpreted frame)

- org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinator
Impl.beforeCompletionCallback () @bci=14, line=147 (Interpreted frame)

— org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinator
Impl.access$100 (org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransact
ionCoordinatorIm

pl) @bci=1, 1line=38 (Interpreted frame)

- org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordinator

ImplS$TransactionDriverControlImpl.commit () Q@bci=21, line=231 (Interpreted frame)
- org.hibernate.engine.transaction.internal.TransactionImpl.commit () @bci=39, line=65 (Interpreted
frame)

- org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (org.springframework.tran
saction.support.DefaultTransactionStatus) @bci=61, 1line=581 (Interpreted frame)

- org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (org.spr
ingframework.transaction.support.DefaultTransactionStatus) @bci=99, line=761 (Interpreted frame)

- org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (org.springfram
ework.transaction.TransactionStatus) @bci=121, 1line=730 (Interpreted frame)

- org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterRetur
ning(org.springframework.transaction.interceptor.TransactionAspectSupport$TransactionInfo) @bci=67
, line=485 (Inte

rpreted frame)

- org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction (jav
a.lang.reflect.Method, java.lang.Class, org.springframework.transaction.interceptor.TransactionAsp
ectSupport$Invoc

ationCallback) @bci=101, line=291 (Interpreted frame)

- org.springframework.transaction.interceptor.TransactionInterceptor.invoke (org.aopalliance.interc
ept .MethodInvocation) @bci=40, l1line=96 (Interpreted frame)

- org.springframework.aop.framework.ReflectiveMethodInvocation.proceed() @bci=101, line=179 (Compi
led frame)

— org.springframework.aop.framework.JdkDynamicAopProxy.invoke (java.lang.0Object, java.lang.reflect.
Method, java.lang.Object[]) @bci=329, 1ine=208 (Interpreted frame)

— com.sun.proxy.$Proxy3200.setPublishForSubtree (java.util.UUID, boolean, boolean, boolean, boolean
, eu.etaxonomy.cdm.common.monitor.IProgressMonitor) @bci=52 (Interpreted frame)

- eu.etaxonomy.cdm.api.longrunningService.LongRunningTasksServiceImpl.updateData (eu.etaxonomy.cdm.
api.service.config.ForSubtreeConfiguratorBase) @bci=61, line=71 (Interpreted frame)

- eu.etaxonomy.cdm.api.longrunningService.LongRunningTasksServiceImpl.access$000 (eu.etaxonomy.cdm.
api.longrunningService.LongRunningTasksServiceImpl, eu.etaxonomy.cdm.api.service.config.ForSubtree
ConfiguratorBase

) @bci=2, 1line=35 (Interpreted frame)

- eu.etaxonomy.cdm.api.longrunningService.LongRunningTasksServiceImpl$1l.doRun (eu.etaxonomy.cdm.com
mon.monitor.IRemotingProgressMonitor) @bci=31, line=53 (Interpreted frame)

- eu.etaxonomy.cdm.common.monitor.RemotingProgressMonitorThread.run () @bci=21, line=46 (Interprete
d frame)

Related issues:
Related to EDIT - feature request #3740: Allow recursively setting the publis... Closed
Copied to EDIT - bug #7577: Set Publish Flag for Subtree Dialog - Further Pro... New

Associated revisions

Revision 871145d3 - 06/18/2018 02:12 PM - Katja Luther

remove monitorThread from monitor and handle it in progressMonitorManager

Revision 927f13fa - 06/18/2018 02:16 PM - Katja Luther

smaller changes in progressMonitorClientManager

Revision 487ee713 - 06/19/2018 10:41 AM - Katja Luther

remove progress monitor thread from progress monitor
Revision ed4d8a9e - 06/19/2018 11:32 AM - Katja Luther

fix problems with progress monitor

Revision ef0f0b69 - 06/19/2018 11:36 AM - Katja Luther

adapt taxeditor to changes in progress monitor handling

Revision a523e596 - 06/19/2018 01:20 PM - Katja Luther

fix progressmonitor handling

Revision caa38c5b - 06/19/2018 01:21 PM - Katja Luther

progressmonitor should be set to done by progressMonitorThread not in service methods

Revision 0afb9358 - 06/19/2018 04:07 PM - Katja Luther

check in done() in remotingProgressMonitor whether result is already set

Revision 62ea8281 - 06/19/2018 05:00 PM - Katja Luther

cancel the longrunning thread cancels moveTaxonNode and set it to rollbackOnly

Revision a48d0ae3 - 06/19/2018 05:32 PM - Katja Luther

smaller changes for longrunning tasks and progress monitor

Revision 91b9bc97 - 06/21/2018 01:47 PM - Katja Luther

remove task from progress view after finish

Revision 09376415 - 06/21/2018 04:35 PM - Katja Luther

ref #7463: adapt the percentage display in status bar for progress of longrunning task

Revision 83d0e22f - 06/21/2018 04:57 PM - Katja Luther

ref #7463: adapt the percentage display in status bar for progress of longrunning task

Revision 105e5489 - 06/22/2018 11:22 AM - Katja Luther

use submonitor for progressmmonitor in longrunning tasks

History

#1 - 07/23/2018 10:31 AM - Andreas Kohlbecker

- Description updated
#2 - 07/23/2018 10:34 AM - Andreas Kohlbecker
Hallo Katja,

ich weil3, dass du an diesem Problem gearbeitet hast, konnte aber kein Ticket dazu finden. Daher habe ich meine urspringliche Mail in eine Ticket
Uberfuhrt.

Bist du mit den Arbeiten an diesem Problem schon fertig oder hast du schon Anderungen "comitted"? Dann verkniipfe diese bitte mit diesem Ticket
hier.

Andreas

#3 - 07/23/2018 10:41 AM - Andreas Kohlbecker
- Copied to bug #7577: Set Publish Flag for Subtree Dialog - Further Problems with Progressmonitor added

#4 - 07/23/2018 10:41 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Priority changed from New to Highest

#5 - 08/22/2018 09:36 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker
The problem of lost connection between server and progress monitor dialog is fixed, the percentage display is fixed too. The remaining problems of

progress monitor is handled in a different ticket #7577.

#6 - 08/28/2018 11:52 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Katja Luther

Ok, the most severe problems seem to be fixed so far.

#7 - 08/28/2018 11:53 AM - Andreas Kohlbecker
- % Done changed from 0 to 100

#8 - 08/05/2019 03:34 PM - Andreas Miiller

- Related to feature request #3740: Allow recursively setting the publish bit for TaxonBase added
https://dev.e-taxonomy.eu/redmine/issues/7577
http://www.tcpdf.org

